﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.InteropServices;

namespace USB_temp
{
    class CW_USB
    {
        public enum USBtype_enum : int
        {
            SWITCH1_DEVICE = 0x08,
            TEMPERATURE_DEVICE = 0x10,
            TEMPERATURE2_DEVICE = 0x11,
            TEMPERATURE5_DEVICE = 0x15,
        }
        [DllImport(@"USBaccess.DLL")]
        public static extern IntPtr FCWInitObject();
        [DllImport(@"USBaccess.DLL")]
        public static extern int FCWOpenCleware(IntPtr cwHdl);
        [DllImport(@"USBaccess.DLL")]
        public static extern int FCWGetUSBType(IntPtr cwHdl, int devNum);
        [DllImport(@"USBaccess.DLL")]
        public static extern float FCWDGetTemperature(IntPtr cwHdl, int devNum);
        [DllImport(@"USBaccess.DLL")]
        public static extern float FCWDGetHumidity(IntPtr cwHdl, int devNum);
    }
}
