﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;
using System.Collections;

namespace USB_temp
{
    class Program
    {
        static void Main(string[] args)
        {
            IntPtr cwObj = CW_USB.FCWInitObject();
            int devCnt = CW_USB.FCWOpenCleware(cwObj);
            while (devCnt != 0)
            {

                for (int i = 0; i < devCnt; i++)
                {
                    int devType = CW_USB.FCWGetUSBType(cwObj, i);
                    if (devType == (int)CW_USB.USBtype_enum.TEMPERATURE_DEVICE)
                    {
                        float temperature = CW_USB.FCWDGetTemperature(cwObj, i);
                       //// Console.WriteLine(temperature + "°C" + DateTime.UtcNow.ToString("    yyyy-MM-dd"));
                       // Console.WriteLine(temperature + "°C");
                        string s = string.Format("{0:G}", temperature);
                        string[] headers = new string[] { "The Temperature [°C]  ", "  The Date"};
                        UI_Format ConsoleFormatter = new UI_Format(3, UI_Format.Align.Left, headers);
                        #region DATA
                        string[][] data = new string[][] {
                    new string[] {

                     s, DateTime.Now.ToString()},

                    };
                        #endregion
                        ArrayList arr = new ArrayList(data);
                        ConsoleFormatter.RePrint(arr); //Get data variable from the link in the description
                        System.Threading.Thread.Sleep(1000);
                    }
                    
                    if (devType == (int)CW_USB.USBtype_enum.SWITCH1_DEVICE)
                    {
                        System.Threading.Thread.Sleep(1000);
                    }
                   

                    

                }
            }

           

        }
    }
}
